Subject: Re: [PATCH 7/16] Early serial debug support for PPC44x

From: David Gibson <[email-masked]>
Date: Wed, 14 Feb 2007 12:00:44 +1100

On Tue, Feb 13, 2007 at 07:02:36PM -0600, Josh Boyer wrote:
> On Wed, Feb 14, 2007 at 11:16:22AM +1100, David Gibson wrote:
> > >  AS      arch/powerpc/kernel/head_44x.o
> > > arch/powerpc/kernel/head_44x.S: Assembler messages:
> > > arch/powerpc/kernel/head_44x.S:179: Warning: left operand is a bignum;
> > > integer 0 assumed
> > > arch/powerpc/kernel/head_44x.S:183: Error: bignum invalid
> > > arch/powerpc/kernel/head_44x.S:184: Warning: left operand is a bignum;
> > > integer 0 assumed
> > > make[1]: *** [arch/powerpc/kernel/head_44x.o] Error 1
> > > make: *** [arch/powerpc/kernel] Error 2
> > 
> > Um... works for me?  What version of the assembler are you using?
> > 
> > I'm using a 64-bit constant there, but for me at least the assembler
> > is able to handle manipulating it in constant expressions.
> 
> [jwboyer@zod ~]$ powerpc-440-linux-gnu-as --version
> GNU assembler 2.15
> 
> This is a crosstool built toolchain with binutils 2.15 and gcc 3.4.1.
> Which versions are you using?

Hmm.. I appear to have binutils-2.17.  That could be it.

It would be nice to support the older binutils too, but I'm not sure
how to get around this without considerable inconvenience.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson